Run of lintian-fixes for rust-fern

Try this locally (using the lintian-brush package):

debcheckout rust-fern
cd rust-fern
lintian-brush
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
[2021-04-03 01:10:09] Running ['lintian-brush']
[2021-04-03 01:10:09] Opening branch at https://salsa.debian.org/rust-team/debcargo-conf.git/,branch=master
[2021-04-03 01:10:11] Cached branch URL https://janitor.debian.net/git/rust-fern,branch=debian%2Flatest missing: Branch does not exist: Not a branch: "https://janitor.debian.net/git/rust-fern/": location is a repository.
[2021-04-03 01:10:13]   82% (529/645)
[2021-04-03 01:10:13]   97% (626/645)
[2021-04-03 01:10:13] Total 58424 (delta 3144), reused 3366 (delta 2881), pack-reused 54728
[2021-04-03 01:10:46] 1% (4877/15732)
[2021-04-03 01:10:46] Total 15732 (delta 10618), reused 15702 (delta 10611), pack-reused 0
[2021-04-03 01:10:57] Workspace ready - starting.
[2021-04-03 01:11:03] assuming changelog needs to be updated since gbp dch only suppors a debian directory in the root of the repository Specify --no-update-changelog to override.
[2021-04-03 01:11:25] Fixer 'typo-in-debhelper-override-target' failed to run:
Script /srv/janitor/debian-janitor/lintian-brush/fixers/typo-in-debhelper-override-target.py failed with exit code: 1
Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/srv/janitor/debian-janitor/lintian-brush/fixers/typo-in-debhelper-override-target.py", line 25, in <module>
    with RulesEditor() as editor:
  File "/srv/janitor/debian-janitor/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/srv/janitor/debian-janitor/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/rules'

[2021-04-03 01:11:25] only add-on fixers found
[2021-04-03 01:11:25] Opened schroot session unstable-amd64-sbuild-a2a443dd-e97c-4551-9d54-ccf373145160 (from unstable-amd64-sbuild)
[2021-04-03 01:11:25] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f289c07c970>, [functools.partial(<function python_tie_breaker at 0x7f28adbe54c0>, <GitWorkingTree of /tmp/tmptpmfqz0a/rust-fern>, 'src/fern'), BuildDependencyTieBreaker('/var/run/schroot/mount/unstable-amd64-sbuild-a2a443dd-e97c-4551-9d54-ccf373145160'), <function popcon_tie_breaker at 0x7f289c32c670>]))]
[2021-04-03 01:11:25] Building debian packages, running 'sbuild -A -s -v'.
[2021-04-03 01:13:49] Built ['rust-fern_0.5.8-2~jan+lint1_amd64.changes'].
[2021-04-03 01:13:50] Running lintian
Non-zero status 25 from dpkg-source -q --no-check --extract /tmp/tmptpmfqz0a/rust-fern_0.5.8-2~jan+lint1.dsc /tmp/lintian-pool-yGwO3AtawG/rust-fern/rust-fern_0.5.8-2~jan+lint1_source/unpacked:
dpkg-source: error: cannot copy /tmp/tmptpmfqz0a/rust-fern_0.5.8.orig.tar.gz to /tmp/lintian-pool-yGwO3AtawG/rust-fern/rust-fern_0.5.8-2~jan+lint1_source/rust-fern_0.5.8.orig.tar.gz: No such file or directory
[2021-04-03 01:13:53] lintian failed to run.
[2021-04-03 01:13:55] Pushing result branch to RemoteVcsManager('https://janitor.debian.net/')
Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 699, in do_open
    connection._send_request(method, url,
  File "/usr/lib/python3.9/http/client.py", line 1301, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1250, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1049, in _send_output
    self.send(chunk)
  File "/usr/lib/python3.9/http/client.py", line 971, in send
    self.sock.sendall(data)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 149, in sendall
    self.sock.sendall(s, *args)
  File "/usr/lib/python3.9/ssl.py", line 1204, in sendall
    v = self.send(byte_view[count:])
  File "/usr/lib/python3.9/ssl.py", line 1173, in send
    return self._sslobj.write(data)
BrokenPipeError: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 699, in do_open
    connection._send_request(method, url,
  File "/usr/lib/python3.9/http/client.py", line 1301, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1250, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1049, in _send_output
    self.send(chunk)
  File "/usr/lib/python3.9/http/client.py", line 971, in send
    self.sock.sendall(data)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 149, in sendall
    self.sock.sendall(s, *args)
  File "/usr/lib/python3.9/ssl.py", line 1204, in sendall
    v = self.send(byte_view[count:])
  File "/usr/lib/python3.9/ssl.py", line 1173, in send
    return self._sslobj.write(data)
BrokenPipeError: [Errno 32] Broken pipe

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/janitor/pull_worker.py", line 233, in run_worker
    import_branches(
  File "/srv/janitor/debian-janitor/janitor/vcs.py", line 314, in import_branches
    import_branches_git(
  File "/srv/janitor/debian-janitor/janitor/vcs.py", line 278, in import_branches_git
    inter.fetch_refs(get_changed_refs, lossy=False, overwrite=True)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/interrepo.py", line 815, in fetch_refs
    new_refs = self.target.send_pack(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 949, in send_pack
    return self.controldir.send_pack(get_changed_refs, generate_pack_data)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 486, in send_pack
    return self._client.send_pack(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 2001, in send_pack
    resp, read = self._smart_request(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 1942, in _smart_request
    resp, read = self._http_request(url, headers, data)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 783, in _http_request
    response = self.transport.request(
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 1850, in request
    response = self._opener.open(request)
  File "/usr/lib/python3.9/urllib/request.py", line 517, in open
    response = self._open(req, data)
  File "/usr/lib/python3.9/urllib/request.py", line 534, in _open
    result = self._call_chain(self.handle_open, protocol, protocol +
  File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
    result = func(*args)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 828, in https_open
    return self.do_open(HTTPSConnection, request)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 629, in retry_or_raise
    response = self.do_open(http_class, request, False)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 731, in do_open
    response = self.retry_or_raise(http_class, request, first_try)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 670, in retry_or_raise
    raise my_exception.with_traceback(exc_tb)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 699, in do_open
    connection._send_request(method, url,
  File "/usr/lib/python3.9/http/client.py", line 1301, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1250, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.9/http/client.py", line 1049, in _send_output
    self.send(chunk)
  File "/usr/lib/python3.9/http/client.py", line 971, in send
    self.sock.sendall(data)
  File "/srv/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 149, in sendall
    self.sock.sendall(s, *args)
  File "/usr/lib/python3.9/ssl.py", line 1204, in sendall
    v = self.send(byte_view[count:])
  File "/usr/lib/python3.9/ssl.py", line 1173, in send
    return self._sslobj.write(data)
breezy.errors.ConnectionError: Connection error: while sending POST /git/rust-fern/git-receive-pack: [Errno 32] Broken pipe

Summary

Full worker log Full build log